commit:     8317507b7ce4a2bc22251efc0718c7fa4cda3356
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sat Apr 29 22:20:39 2023 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sat Apr 29 22:28:16 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8317507b

dev-libs/libpqxx: add 7.7.5

Bug: https://bugs.gentoo.org/896718
Closes: https://bugs.gentoo.org/850694
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 dev-libs/libpqxx/Manifest             |  1 +
 dev-libs/libpqxx/libpqxx-7.7.5.ebuild | 80 +++++++++++++++++++++++++++++++++++
 2 files changed, 81 insertions(+)

diff --git a/dev-libs/libpqxx/Manifest b/dev-libs/libpqxx/Manifest
index 8b49e6f0dfa0..5eed6c0dc3a6 100644
--- a/dev-libs/libpqxx/Manifest
+++ b/dev-libs/libpqxx/Manifest
@@ -1,2 +1,3 @@
 DIST libpqxx-7.4.1.tar.gz 702581 BLAKE2B 
9190b62eaf4cee188e32611acfc938a4111e5ea510df50e424ebd3b6c73fe91dfc8fecd5f889dc2af95756f04c87a410a136cd4b4d6d1f276ce2e5fc26906df3
 SHA512 
a30a9f5ca87944922c9a3bd92d53392855ac3b2760cb7c21411caf364e443c25d1b2d4b4022e60ff7b30bc530fc3223ab3983325217d47fd7d71375c165c8c21
 DIST libpqxx-7.7.4.tar.gz 745900 BLAKE2B 
2306ca1481cb36d32a5911452944404d90760890dfa1f78eca1f9bd0aa8b194484f4a82f15eca2bb37ea9dc80baa81dba5dee45255c04ed7df7aaa01920747ad
 SHA512 
dd8fc9887eec81356d3c6cbcd11543e76bda8caebc770851bb6cf6e3eb5284ef33fc45f6de54c4cc902e07b06a8064f141841ad041addcc0e669d19486b7b4e1
+DIST libpqxx-7.7.5.tar.gz 745921 BLAKE2B 
0ca9b36aecc96a436023621a1fcfcac2732443fe9d85507a64b511914a606a05f1a1d7e569dbf893d47412fb4040d02c0af2c8de280335d1f7a43240464df59d
 SHA512 
78f1f17f5083347cfce607349d4f62be2878c41150c4afd1f26844dc796d0fe190b387b295e1b6bf9d81a26a0ebe1d82597fa651227c3a1cfe3acbd02ea7246c

diff --git a/dev-libs/libpqxx/libpqxx-7.7.5.ebuild 
b/dev-libs/libpqxx/libpqxx-7.7.5.ebuild
new file mode 100644
index 000000000000..1136bd19efe9
--- /dev/null
+++ b/dev-libs/libpqxx/libpqxx-7.7.5.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9..11} )
+inherit python-any-r1
+
+KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+DESCRIPTION="Standard front-end for writing C++ programs that use PostgreSQL"
+SRC_URI="https://github.com/jtv/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+HOMEPAGE="https://pqxx.org/development/libpqxx/";
+LICENSE="BSD"
+# SONAME version is equal to major.minor
+SLOT="0/$(ver_cut 1-2)"
+IUSE="doc static-libs"
+
+RDEPEND="dev-db/postgresql:="
+DEPEND="${RDEPEND}"
+BDEPEND="${PYTHON_DEPS}
+       doc? (
+               app-doc/doxygen[dot]
+               app-text/xmlto
+       )
+"
+
+DOCS=( AUTHORS NEWS README.md )
+
+src_configure() {
+       econf \
+               --enable-shared \
+               $(use_enable doc documentation) \
+               $(use_enable static-libs static)
+}
+
+src_test() {
+       einfo "The tests need a running PostgreSQL server and an existing 
database."
+       einfo "Test requires PGDATABASE and PGUSER to be set at a minimum. 
Optionally,"
+       einfo "set PGPORT and PGHOST. Define them at the command line or in:"
+       einfo "    ${BROOT}/etc/libpqxx_test_env"
+
+       if [[ -z $PGDATABASE || -z $PGUSER ]] ; then
+               if [[ -f ${BROOT}/etc/libpqxx_test_env ]] ; then
+                       source "${BROOT}/etc/libpqxx_test_env"
+                       [[ -n $PGDATABASE ]] && export PGDATABASE
+                       [[ -n $PGHOST ]] && export PGHOST
+                       [[ -n $PGPORT ]] && export PGPORT
+                       [[ -n $PGUSER ]] && export PGUSER
+               fi
+       fi
+
+       if [[ -n $PGDATABASE && -n $PGUSER ]] ; then
+               local server_version
+               server_version=$(psql -Aqtc 'SELECT version();' 2> /dev/null)
+               if [[ $? = 0 ]] ; then
+                       cd "${S}/test" || die
+                       emake check
+               else
+                       eerror "Is the server running?"
+                       eerror "Verify role and database exist, and are 
permitted in pg_hba.conf for:"
+                       eerror "    Role: ${PGUSER}"
+                       eerror "    Database: ${PGDATABASE}"
+                       die "Couldn't connect to server."
+               fi
+       else
+               eerror "PGDATABASE and PGUSER must be set to perform tests."
+               eerror "Skipping tests."
+       fi
+}
+
+src_install () {
+       use doc && HTML_DOCS=( doc/html/. )
+       default
+
+       if ! use static-libs; then
+               find "${D}" -name '*.la' -delete || die
+       fi
+}

Reply via email to